#ifndef __UTILS_H__
#define __UTILS_H__

#include <QObject>

class Utils : public QObject
{
    Q_OBJECT

public:
    explicit Utils(QObject *parent = nullptr);
    
    static QString timestamp();
    static qint64 currentNanoTimestamp();
    static bool ipv4(const char *ifname, char **ip_str, char **mask_str);
    static QString broadcast(const char *ip_str, const char *mask_str);

};

#endif  // UTILS_H